/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.mirror.model;

import com.google.api.client.json.GenericJson;

/**
 * A single menu command that is part of a Contact.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Mirror API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Command extends GenericJson {

  /**
   * The type of operation this command corresponds to. Allowed values are: - TAKE_A_NOTE - Shares a
   * timeline item with the transcription of user speech from the "Take a note" voice menu command.
   * - POST_AN_UPDATE - Shares a timeline item with the transcription of user speech from the "Post
   * an update" voice menu command.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String type;

  /**
   * The type of operation this command corresponds to. Allowed values are: - TAKE_A_NOTE - Shares a
   * timeline item with the transcription of user speech from the "Take a note" voice menu command.
   * - POST_AN_UPDATE - Shares a timeline item with the transcription of user speech from the "Post
   * an update" voice menu command.
   * The value returned may be {@code null}.
   */
  public String getType() {
    return type;
  }

  /**
   * The type of operation this command corresponds to. Allowed values are: - TAKE_A_NOTE - Shares a
   * timeline item with the transcription of user speech from the "Take a note" voice menu command.
   * - POST_AN_UPDATE - Shares a timeline item with the transcription of user speech from the "Post
   * an update" voice menu command.
   * The value set may be {@code null}.
   */
  public Command setType(String type) {
    this.type = type;
    return this;
  }

}
